Get usage summary
curl --request GET \
--url https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/billing/subscriptions/{id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "usage_summary",
"subscription_id": "<string>",
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"quantity": 123,
"record_count": 123
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Subscriptions
Get usage summary
Returns the aggregated usage for the current period of a metered subscription.
GET
/
v1
/
billing
/
subscriptions
/
{id}
/
usage
Get usage summary
Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Path Parameters
Response
Usage summary.
Was this page helpful?
⌘I